본문 바로가기
Development/Spring Boot

스프링부트 Swagger UI 2.9.2 -> 3.0.0 마이그레이션 방법 (Spring Boot Swagger UI)

by Nahwasa 2021. 12. 27.

  SpringFox Swagger UI의 경우 2.9.2가 maven repository에서 가장 usages가 높아서 그걸로 쓰고 있었는데, 최신 버전의 스프링부트에서는 다음과 같이 에러가 뜨게 된다.

 

'Failed to start bean 'documentationPluginsBootstrapper'; nested exception is java.lang.NullPointerException'


그래서 가장 최신인 3.0.0 버전으로 변경하여 적용해봤다. 적용 방법은 springfox github을 참고했다.

 

 

1. 기존 swagger 관련 gradle 혹은 maven의 dependency를 삭제한다.

 

2. 3.0.0 dependency를 추가한다.

gradle

implementation 'io.springfox:springfox-boot-starter:3.0.0'
implementation 'io.springfox:springfox-swagger-ui:3.0.0'

 

maven

<dependency>
    <groupId>io.springfox</groupId>
    <artifactId>springfox-boot-starter</artifactId>
    <version>3.0.0</version>
</dependency>
<dependency>
    <groupId>io.springfox</groupId>
    <artifactId>springfox-swagger-ui</artifactId>
    <version>3.0.0</version>
</dependency>

 

3. @EnableSwagger2 를 삭제하고, @EnableWebMvc 추가.

 

4. 기본 접속 url이 /swagger-ui.html 에서 /swagger-ui/index.html 로 변경되었다.

 

 

그럼 기존 2.9.2로 짜져 있던 코드들이 정상적으로 동작한다.

댓글0